﻿using System;
using System.Windows.Forms;

namespace ScreenSaverEf
{
    //rundll32.exe desk.cpl,InstallScreenSaver %l

    internal static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        private static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            if (args.Length > 0)
            {
                if (args[0].Substring(0, 2).ToUpper().Equals("/C"))
                {
                    MessageBox.Show("此屏幕保护没有可供设置的选项！", "Ef屏保",
                    MessageBoxButtons.OK, MessageBoxIcon.Information);
                    Application.Exit();
                }
                else if (args[0].ToUpper() == "/A")
                {
                    MessageBox.Show("此屏幕保护没有可供设定口令的选项！", "Ef屏保",
                    MessageBoxButtons.OK, MessageBoxIcon.Information);
                    Application.Exit();
                }
                else if (args[0].ToUpper() == "/P")
                {
                    var temp = args[1];//获取命令行中的屏保预览窗口句柄的字符串形式
                    var CPWindow = (IntPtr)Convert.ToInt32(temp);
                    new PreviewForm(CPWindow).ShowDialog();
                }
                else if (args[0].ToUpper() == "/S")
                {
                    //正常启动

                    for (var i = 1; i < Screen.AllScreens.Length; i++)
                    {
                        new MainForm(i).Show();
                    }

                    Application.Run(new MainForm());
                }
            }
            else
            {
                Application.Run(new MainForm());
            }
        }
    }
}
